slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNSetTolerances

Sets the tolerance and maximum iteration count used by the MFN convergence tests.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetTolerances(MFN mfn,PetscReal tol,PetscInt maxits)

Logically Collective

### Input Parameters

| mfn | - the matrix function context
| tol | - the convergence tolerance
| maxits | - maximum number of iterations to use

### Options Database Keys

| -mfn_tol <tol> | - Sets the convergence tolerance
| -mfn_max_it <maxits> | - Sets the maximum number of iterations allowed

### Notes

Use PETSC_DEFAULT for either argument to assign a reasonably good value.

### See Also

MFNGetTolerances()

### Level

intermediate

### Location

src/mfn/interface/mfnopts.c

### Examples

src/mfn/tutorials/ex23.c
src/mfn/tutorials/ex23f.F90
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages